Форум программистов, компьютерный форум CyberForum.ru
Наши страницы

Билд под разные версии андроида - Программирование Android

Войти
Регистрация
Восстановить пароль
Другие темы раздела
Программирование Android Не работает MediaRecorder http://www.cyberforum.ru/android-dev/thread1402725.html
try { Log.d("LOG_TAG", "Start record" + fileName); releaseRecorder(); mediaRecorder = new MediaRecorder(); ...
Программирование Android Запись в память телефона из сервиса Нужно через сервис сохранить файл в память телефона в директорию. Делаю так: if (!Environment.getExternalStorageState().equals( Environment.MEDIA_MOUNTED)) { ... http://www.cyberforum.ru/android-dev/thread1402696.html
Программирование Android Какой метод срабатывает при повторном показе фрагмента
Доброго... Имею несколько фрагментов, работаю с ними так: if (fragmentManager.findFragmentByTag(String.valueOf(idQuestion)) != null){ fragment =...
Программирование Android Password dialog and Activity
Есть приложение, которое хотелось бы защитить. При первом запуске необходимо предоставить пользователю возможность задать пароль. (поле пароля и поле повторения). При последующем входе нужно...
Программирование Android Распознать 1 звук http://www.cyberforum.ru/android-dev/thread1402524.html
Мне нужно создать приложение, которое может опознать звук(который я туда добавлю). Как это сделать? и в каком виде туда "добавить звук". Звук - это не голос(который всегда звучит по разному), моим...
Программирование Android Ошибки после импортирования проекта в Android Studio Импортировал проект в Android Studio. Выдает такие ошибки: Error: Found item String/shared_string_or more than one time Error:Execution failed for task ':OsmAnd:mergeFreeLegacyArmv5DebugResources'.... подробнее

Показать сообщение отдельно
NEvOl
19 / 18 / 0
Регистрация: 13.08.2012
Сообщений: 727

Билд под разные версии андроида - Программирование Android

24.03.2015, 18:06. Просмотров 572. Ответов 0
Метки (Все метки)

Уважаемые, подскажите. Работаю в android studio. Имеется приложение в его настройках указываю complite sdk Version 5.0, но в списке еще есть разные версии (например API 15 4.0.3). Если я выбираю эту версию то в файл:
...\app\build\intermediates\exploded-aar\com.android.support\appcompat-v7\21.0.3\res\values-v21\values.xml выдает в каждом стиле ошибку. Что нужно изменить в проекте ? Еще надпись у файла мол "файлы в папке сборки генерируются и не должны быть изменены". Хотя я сам ничего не менял в файле.

Добавлено через 51 секунду
ошибки типа:
Error: (143, 21) No resource found that matches the given name: attr 'android:colorPrimaryDark'.
или
Error:Error retrieving parent for item: No resource found that matches the given name 'android:Widget.Material.ListView.DropDown'.

Добавлено через 1 час 25 минут
такие же ошибки когда меняю min sdk version.
0
Надоела реклама? Зарегистрируйтесь и она исчезнет полностью.
 
КиберФорум - форум программистов, компьютерный форум, программирование
Powered by vBulletin® Version 3.8.9
Copyright ©2000 - 2017, vBulletin Solutions, Inc.
Рейтинг@Mail.ru